Subject: Re: bug#8826: 23.3.50; flyspell-mode auto-activated in non-text modes

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Jun 2011 01:21:52 -0300

> I have flyspell mode configured to come on automatically, by customizing
> text-mode-hook to contain turn-on-flyspell. (At least, as far as I know,
> that’s it!)

> However, I find that, apparently as a result, flyspell-mode is activated
> in lots of modes where it’s not wanted, in particular programming modes.

That doesn't sound right.  Can you provide a recipe to reproduce
the problem?

        Stefan